List export-templates
curl --request GET \
--url https://wisepim.com/api/public/v1/export-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/export-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/export-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"target_platform": "<string>",
"include_product_fields": "<unknown>",
"column_mappings": "<unknown>",
"export_locale": "<string>",
"additional_locales": "<unknown>",
"attribute_layout": "<string>",
"max_attribute_slots": 123,
"feature_field_mapping": "<unknown>",
"promoted_attribute_columns": "<unknown>",
"category_columns": "<unknown>",
"is_default": true,
"is_active": true,
"families": [
123
],
"id": 123
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}List export-templates
GET /export-templates. Required scopes: export-templates:read.
GET
/
api
/
public
/
v1
/
export-templates
List export-templates
curl --request GET \
--url https://wisepim.com/api/public/v1/export-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/export-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/export-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"target_platform": "<string>",
"include_product_fields": "<unknown>",
"column_mappings": "<unknown>",
"export_locale": "<string>",
"additional_locales": "<unknown>",
"attribute_layout": "<string>",
"max_attribute_slots": 123,
"feature_field_mapping": "<unknown>",
"promoted_attribute_columns": "<unknown>",
"category_columns": "<unknown>",
"is_default": true,
"is_active": true,
"families": [
123
],
"id": 123
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.

